Package org.apache.sysds.runtime.transform.encode

# Enum Class ColumnEncoder.EncoderType

java.lang.Object
java.lang.Enum<ColumnEncoder.EncoderType>
org.apache.sysds.runtime.transform.encode.ColumnEncoder.EncoderType

All Implemented Interfaces:
  `Serializable`, `Comparable<ColumnEncoder.EncoderType>`, `Constable`

Enclosing class:
  ColumnEncoder

public static enum ColumnEncoder.EncoderType extends Enum<ColumnEncoder.EncoderType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BagOfWords`
`Bin`
`Composite`
`Dummycode`
`FeatureHash`
`MVImpute`
`Omit`
`PassThrough`
`Recode`
`WordEmbedding`

## Method Summary

Modifier and Type
Method
Description
`static ColumnEncoder.EncoderType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ColumnEncoder.EncoderType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Recode

public static final ColumnEncoder.EncoderType Recode

### FeatureHash

public static final ColumnEncoder.EncoderType FeatureHash

### PassThrough

public static final ColumnEncoder.EncoderType PassThrough

### Bin

public static final ColumnEncoder.EncoderType Bin

### Dummycode

public static final ColumnEncoder.EncoderType Dummycode

### Omit

public static final ColumnEncoder.EncoderType Omit

### MVImpute

public static final ColumnEncoder.EncoderType MVImpute

### Composite

public static final ColumnEncoder.EncoderType Composite

### WordEmbedding

public static final ColumnEncoder.EncoderType WordEmbedding

### BagOfWords

public static final ColumnEncoder.EncoderType BagOfWords

## Method Details

### values

public static ColumnEncoder.EncoderType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ColumnEncoder.EncoderType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null